#
# Pyserini: Reproducible IR research with sparse and dense representations
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

CORPUS_INFO = {
    "scipy-sparse-vectors.msmarco-v1-passage-slimr": {
        "description": "MS MARCO passages-v1 corpus encoded by SLIM trained with BM25 negatives. (Scipy)",
        "filename": "scipy-sparse-vectors.msmarco-v1-passage-slimr.20230220.tar.gz",
        "urls": [
            "https://vault.cs.uwaterloo.ca/s/4MRXSmiDqNH4mgF/download",
        ],
        "md5": "7ec96c74dced272712fcbb091bb671a8",
        "size (bytes)": 16533697862,
        "documents": 8841823,
        "downloaded": False
    },
    "scipy-sparse-vectors.msmarco-v1-passage-slimr-pp": {
        "description": "MS MARCO passages-v1 corpus encoded by SLIM trained with cross-encoder distillation and hardnegative mining (Scipy)",
        "filename": "scipy-sparse-vectors.msmarco-v1-passage-slimr-pp.20230220.tar.gz",
        "urls": [
            "https://vault.cs.uwaterloo.ca/s/gDJnrYGKsq6ir4w/download",
        ],
        "md5": "05ce2ce5f64b668a487909ab538ef2a5",
        "size (bytes)": 15785241481,
        "documents": 8841823,
        "downloaded": False
    },
}